ReferenceRest

Update agent

PATCH
/api/v1/agents/{agentHandle}

Authorization

AuthorizationBearer <token>

Use Authorization: Bearer <salestouch_api_key>.

In: header

Path Parameters

agentHandle*string

Public agent handle.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://www.salestouch.io/api/v1/agents/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "agent": {
      "handle": "string",
      "organizationId": "string",
      "firstName": "string",
      "lastName": "string",
      "jobTitle": "string",
      "avatarUrl": "string",
      "linkedinUrl": "string",
      "emailSignature": "string",
      "calendarUrl": "string",
      "timezone": "string",
      "workingHours": {},
      "personality": "string",
      "company": "string",
      "smartDeliverability": true,
      "emailAccounts": [
        {
          "provider": "GOOGLE",
          "email": "user@example.com"
        }
      ],
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}